> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction History

> Returns paginated on-chain transaction history for a given wallet address.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/transactions
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/transactions:
    get:
      tags:
        - Transactions
      summary: Get Transaction History
      description: >-
        Returns paginated on-chain transaction history for a given wallet
        address.
      operationId: get_transaction_history
      parameters:
        - name: userAddress
          in: query
          required: true
          schema:
            type: string
        - name: chain
          in: query
          schema:
            type: string
        - name: transactionTypes
          in: query
          description: Comma-separated transaction types.
          schema:
            type: string
            enum:
              - morpho_deposit
              - morpho_withdrawal
              - lombard_deposit
              - lombard_withdrawal
              - veda_deposit
              - veda_withdrawal
              - resolv_deposit
              - resolv_withdrawal
              - etherfi_veda_deposit
              - etherfi_veda_withdrawal
              - eth_ssv_deposit
              - eth_ssv_withdrawal
              - eth_ssv_unstake
              - solana_deposit
              - solana_withdrawal
              - solana_unstake
              - near_withdrawal
              - near_unstake
              - polkadot_deposit
              - polkadot_withdrawal
              - polkadot_unstake
              - avail_deposit
              - avail_withdrawal
              - avail_unstake
              - ton_whales_deposit
              - ton_whales_withdrawal
              - ton_whales_unstake
        - name: limit
          in: query
          schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 10000
        - name: page
          in: query
          schema:
            type: integer
            default: 1
            minimum: 1
            maximum: 100000
      responses:
        '200':
          description: Paginated transaction list.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            hash:
                              type: string
                            type:
                              type: string
                            chain:
                              type: string
                            asset:
                              $ref: '#/components/schemas/Asset'
                            status:
                              type: string
                              enum:
                                - success
                                - pending
                                - failed
                            amount:
                              type: number
                            userAddress:
                              type: string
                            contractAddress:
                              type: string
                            extraData:
                              type: object
                            createdAt:
                              type: string
                              format: date-time
                      page:
                        type: integer
                      limit:
                        type: integer
                      totalCount:
                        type: integer
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetTransactionListFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Asset:
      type: object
      properties:
        name:
          type: string
        ecosystem:
          type: string
        chain:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        contractAddress:
          type: string
        logoURI:
          type: string
          nullable: true
        priceUsd:
          type: number
          nullable: true
        totalSupply:
          type: number
          nullable: true
        isStakeable:
          type: boolean
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Get Rewards History](/reference/eth-pool-account-rewards.md)
- [Getting Started](/docs/pooled-staking-getting-started.md)
- [Get Transaction Status](/reference/tron-transaction-status.md)
